## Shared module ##
Overview = require 'overview'

Overview.scaleForiPhone5 = 0.85


## DRAGGABLE ##
layerA.draggable.enabled = yes
layerA.draggable.directionLock = yes
layerA.draggable.constraints =
	x: 0
	y: 0
	width: grid.width
	height: grid.height


## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.teal
	lists: [{
				title: "Drag"
				items: ["onDragStart","onDrag","onDragEnd"]
			}]
	}
	{
	color: Overview.purple
	lists: [{
				title: "Drag animation"
				items: ["onDragAnimationStart","onDragAnimationEnd",]
			}]
	}
	{
	color: Overview.orange
	lists: [{
				title: "Other"
				items: ["onMove", "onDirectionLockStart"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## REFLOW FOR PHONES ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	layerA.size = 120
	if Screen.height < 667
		layerA.size = 100
	
	layerA.draggable.constraints =
		x: 0
		y: 0
		width: grid.width
		height: grid.height

## EVENTS ##
layerA.onDragStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onDrag ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onDragEnd ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onDragAnimationStart ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onDragAnimationEnd ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onMove ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onDirectionLockStart ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"
